Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Interface Frontend

All Known Implementing Classes:
  AbstractFrontend, JSPFrontend

    public interface Frontend

this interface the description the access to the front end elements of a GUI setting up on a web map context. this is a deegree specific form of description. beside the name of the central controlling element an implementing class enables access to fife areas the GUI is splitted in.

Version:
  $Revision: 21544 $
Author:
  Andreas Poth

Method Summary
`GUIArea` | `getCenter()`
`String` | `getController()`
`GUIArea` | `getEast()`
`Module[]` | `getModulesByName(String moduleName)` Returns the Modules of the given name (search order is north-east-south-west-center).
`GUIArea` | `getNorth()`
`GUIArea` | `getSouth()`
`GUIArea` | `getWest()`
`void` | `setCenter(GUIArea center)` sets the description of the central GUI area
`void` | `setController(String controller)` sets the name of the central controller of the front end. depending on the implementation this may be the name of a HTML/JSP-page a java class or something else.
`void` | `setEast(GUIArea east)` sets the description of the east GUI area
`void` | `setNorth(GUIArea north)` sets the description of the north GUI area
`void` | `setSouth(GUIArea south)` sets the description of the south GUI area
`void` | `setWest(GUIArea west)` sets the description of the west GUI area

Method Detail

### getController

    String getController()

  Returns:
    the name of the central controller of the front end. depending on the implementation this may be the name of a HTML/JSP-page a java class or something else.

### getWest

    GUIArea getWest()

  Returns:
    the description of the west GUI area

### getEast

    GUIArea getEast()

  Returns:
    the description of the east GUI area

### getSouth

    GUIArea getSouth()

  Returns:
    the description of the south GUI area

### getNorth

    GUIArea getNorth()

  Returns:
    the description of the north GUI area

### getCenter

    GUIArea getCenter()

  Returns:
    the description of the central GUI area

### setController

    void setController(String controller)

  sets the name of the central controller of the front end. depending on the implementation this may be the name of a HTML/JSP-page a java class or something else.

  Parameters:
    `controller` -

### setWest

    void setWest(GUIArea west)

  sets the description of the west GUI area

  Parameters:
    `west` -

### setEast

    void setEast(GUIArea east)

  sets the description of the east GUI area

  Parameters:
    `east` -

### setSouth

    void setSouth(GUIArea south)

  sets the description of the south GUI area

  Parameters:
    `south` -

### setNorth

    void setNorth(GUIArea north)

  sets the description of the north GUI area

  Parameters:
    `north` -

### setCenter

    void setCenter(GUIArea center)

  sets the description of the central GUI area

  Parameters:
    `center` -

### getModulesByName

    Module[] getModulesByName(String moduleName)

  Returns the Modules of the given name (search order is north-east-south-west-center).

  Parameters:
    `moduleName` - the name of the Module to extract from this Frontend.
  Returns:
    an array of Modules of the given name. The array length may be 0, if no module of the given name is found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org